Searched refs:ifn (Results 1 - 25 of 27) sorted by relevance

12

/freebsd-10.1-release/etc/rc.d/
H A Dwpa_supplicant16 ifn="$2"
17 if [ -z "$ifn" ]; then
29 if is_wired_interface ${ifn} ; then
31 elif is_ndis_interface ${ifn} ; then
41 pidfile="/var/run/${name}/${ifn}.pid"
42 command_args="-B -i $ifn -c $conf_file -D $driver -P $pidfile"
H A Ddhclient12 ifn="$2"
16 pidfile="/var/run/${name}.${ifn}.pid"
24 if [ -z "${rc_force}" ] && ! dhcpif $ifn; then
26 msg="'$ifn' is not a DHCP-enabled interface"
41 specific=$(get_if_var $ifn dhclient_flags_IF)
46 background_dhclient=$(get_if_var $ifn background_dhclient_IF $background_dhclient)
51 rc_flags="${rc_flags} ${ifn}"
57 if [ -z $ifn ] ; then
H A Dhostapd15 ifn="$2"
16 if [ -z "$ifn" ]; then
22 conf_file="/etc/${name}-${ifn}.conf"
23 pidfile="/var/run/${name}-${ifn}.pid"
H A Dsppp24 for ifn in ${sppp_interfaces}; do
25 eval spppcontrol_args=\$spppconfig_${ifn}
30 eval spppcontrol ${ifn} ${spppcontrol_args}
H A Dnetif176 for ifn in $_cooked_list; do
177 case ${ifn#epair} in
182 $ifn) _tmp_list="$_tmp_list ${ifn}a ${ifn}b" ;;
183 *) _tmp_list="$_tmp_list ${ifn}" ;;
194 for ifn in ${_cooked_list# }; do
195 # Skip if ifn does not exist.
198 if ! ${IFCONFIG_CMD} $ifn > /dev/null 2>&1; then
199 warn "$ifn doe
[all...]
H A Dnatd23 for ifn in ${dhcp_list}; do
25 ${ifn})
/freebsd-10.1-release/etc/
H A Dpccard_ether34 eval ifx_routes=\$static_routes_${ifn}
51 eval ifx_routes=\$static_routes_${ifn}
64 autoif $ifn || exit 0
70 ifexists $ifn || exit 1
74 if [ "${uif}" = "${ifn}" ]; then
81 /etc/rc.d/netif quietstart $ifn
85 if [ -n "`ifconfig_getargs $ifn`" ]; then
86 if ! dhcpif $ifn; then
96 if [ -n "`ifconfig_getargs $ifn`" ]; then
97 if ! dhcpif $ifn; the
[all...]
H A Dnetwork.subr35 # ifn_start ifn
41 local ifn cfg
42 ifn="$1"
45 [ -z "$ifn" ] && err 1 "ifn_start called without an interface"
47 ifscript_up ${ifn} && cfg=0
48 ifconfig_up ${ifn} && cfg=0
49 if ! noafif $ifn; then
50 afexists inet && ipv4_up ${ifn} && cfg=0
51 afexists inet6 && ipv6_up ${ifn} && cfg=0
52 afexists ipx && ipx_up ${ifn}
[all...]
/freebsd-10.1-release/release/picobsd/mfs_tree/etc/
H A Drc.network12 for ifn in ${network_interfaces}; do
13 [ -e /etc/start_if.${ifn} ] && . /etc/start_if.${ifn}
15 eval ifconfig_args=\$ifconfig_${ifn}
16 [ -n "${ifconfig_args}" ] && ifconfig ${ifn} ${ifconfig_args}
21 eval ifconfig_args=\$ifconfig_${ifn}_alias${alias}
23 ifconfig ${ifn} ${ifconfig_args} alias
29 ifconfig ${ifn}
/freebsd-10.1-release/contrib/ipfilter/lib/
H A Dipft_hx.c59 static int hex_readip(mb, ifn, dir)
61 char **ifn;
76 if (ifn)
77 *ifn = NULL;
103 if (ifn)
104 *ifn = strdup(u);
111 } else if (ifn)
112 *ifn = t;
H A Dipft_tx.c116 static int text_readip(mb, ifn, dir)
118 char **ifn;
130 *ifn = NULL;
142 *ifn = NULL;
144 if (!parseline(line, (ip_t *)buf, ifn, dir)) {
164 static int parseline(line, ip, ifn, out)
167 char **ifn;
175 if (*ifn)
176 free(*ifn);
199 return parseipv6(cpp, (ip6_t *)ip, ifn, ou
[all...]
H A Dipft_pc.c205 static int ipcap_readip(mb, ifn, dir)
207 char **ifn;
219 ifn = ifn; /* gcc -Wextra */
/freebsd-10.1-release/sys/netinet/
H A Dsctp_bsd_addr.c66 MALLOC_DEFINE(SCTP_M_IFN, "sctp_ifn", "sctp ifn struct");
148 sctp_is_desired_interface_type(struct ifnet *ifn) argument
153 switch (ifn->if_type) {
200 struct ifnet *ifn; local
211 TAILQ_FOREACH(ifn, &MODULE_GLOBAL(ifnet), if_list) {
212 if (sctp_is_desired_interface_type(ifn) == 0) {
216 IF_ADDR_RLOCK(ifn);
217 TAILQ_FOREACH(ifa, &ifn->if_addrlist, ifa_list) {
257 (void *)ifn,
258 ifn
357 struct ifnet *ifn; local
[all...]
H A Dsctp_os_bsd.h214 #define SCTP_IFN_IS_IFT_LOOP(ifn) ((ifn)->ifn_type == IFT_LOOP)
324 #define SCTP_GATHER_MTU_FROM_IFN_INFO(ifn, ifn_index, af) ((struct ifnet *)ifn)->if_mtu
H A Dsctp_pcb.h80 uint32_t ifn_index; /* shorthand way to look at ifn for reference */
94 * is pulled from the ifn list
105 struct sctp_ifn *ifn_p; /* back pointer to parent ifn */
496 sctp_find_ifn(void *ifn, uint32_t ifn_index);
506 * If a ifn goes down, we will do src-addr-selection
516 void *ifn, uint32_t ifn_index, uint32_t ifn_type,
H A Dsctp_pcb.c107 * to a VRF we lookup the ifn/ifn_index, if the ifn does
113 * vrf-> ifn-> ifn -> ifn
127 * that any locking on system level ifn/ifa is done at the
196 sctp_find_ifn(void *ifn, uint32_t ifn_index) argument
210 if (sctp_ifnp->ifn_p && ifn && (sctp_ifnp->ifn_p == ifn)) {
402 * Add an ifa to an ifn
492 sctp_add_addr_to_vrf(uint32_t vrf_id, void *ifn, uint32_t ifn_index, uint32_t ifn_type, const char *if_name, void *ifa, struct sockaddr *addr, uint32_t ifa_flags, int dynamic_add) argument
5937 struct sctp_ifn *ifn, *nifn; local
[all...]
H A Dsctp_output.c2464 void *ifn; local
2475 ifn = SCTP_GET_IFN_VOID_FROM_ROUTE(ro);
2477 sctp_ifn = sctp_find_ifn(ifn, ifn_index);
2479 * first question, is the ifn we will emit on in our list, if so, we
2596 void *ifn; local
2604 * first question, is the ifn we will emit on in our list, if so, we
2611 ifn = SCTP_GET_IFN_VOID_FROM_ROUTE(ro);
2613 sctp_ifn = sctp_find_ifn(ifn, ifn_index);
2616 * first question, is the ifn we will emit on in our list? If so,
2774 sctp_select_nth_preferred_addr_from_ifn_boundall(struct sctp_ifn *ifn, argument
2895 sctp_count_num_preferred_boundall(struct sctp_ifn *ifn, struct sctp_inpcb *inp, struct sctp_tcb *stcb, int non_asoc_addr_ok, uint8_t dest_is_loop, uint8_t dest_is_priv, sa_family_t fam) argument
2964 void *ifn; local
[all...]
/freebsd-10.1-release/contrib/libpcap/
H A Dfad-glifc.c88 struct lifnum ifn; local
124 ifn.lifn_family = AF_UNSPEC;
125 ifn.lifn_flags = 0;
126 ifn.lifn_count = 0;
127 if (ioctl(fd4, SIOCGLIFNUM, (char *)&ifn) < 0) {
138 buf_size = ifn.lifn_count * sizeof (struct lifreq);
/freebsd-10.1-release/sys/netpfil/pf/
H A Dif_pflog.c202 struct ifnet *ifn; local
208 if ((ifn = pflogifs[rm->logif]) == NULL || !ifn->if_bpf)
254 ifn->if_opackets++;
255 ifn->if_obytes += m->m_pkthdr.len;
256 BPF_MTAP2(ifn, &hdr, PFLOG_HDRLEN, m);
/freebsd-10.1-release/usr.bin/uniq/
H A Duniq.c95 const char *ifn; local
144 ifn = "stdin";
147 ifp = file(ifn = argv[0], "r");
150 err(1, "unable to limit rights for %s", ifn);
181 err(1, "%s", ifn);
223 err(1, "%s", ifn);
/freebsd-10.1-release/sbin/ifconfig/
H A Difbridge.c618 setbridge_ifpriority(const char *ifn, const char *pri, int s, argument
629 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname));
637 setbridge_ifpathcost(const char *ifn, const char *cost, int s, argument
648 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname));
656 setbridge_ifmaxaddr(const char *ifn, const char *arg, int s, argument
667 strlcpy(req.ifbr_ifsname, ifn, sizeof(req.ifbr_ifsname));
/freebsd-10.1-release/usr.bin/unifdef/
H A Dunifdef.c357 processinout(const char *ifn, const char *ofn) argument
361 if (ifn == NULL || strcmp(ifn, "-") == 0) {
366 filename = ifn;
367 linefile = ifn;
368 input = fopen(ifn, "rb");
370 err(2, "can't open %s", ifn);
/freebsd-10.1-release/sbin/ipfw/
H A Dnat.c68 * Search for interface with name "ifn", and fill n accordingly:
70 * n->ip ip address of interface "ifn"
71 * n->if_name copy of interface name "ifn"
74 set_addr_dynamic(const char *ifn, struct cfg_nat *n) argument
119 if (strlen(ifn) == sdl->sdl_nlen &&
120 strncmp(ifn, sdl->sdl_data, sdl->sdl_nlen) == 0) {
128 errx(1, "unknown interface name %s", ifn);
159 errx(1, "%s: cannot get interface address", ifn);
162 strncpy(n->if_name, ifn, IF_NAMESIZE);
/freebsd-10.1-release/usr.sbin/pmcstat/
H A Dpmcpl_calltree.c664 pmcstat_interned_string ifl, ifn; local
668 ifn = pmcstat_string_intern(fn);
671 ifn = 0;
688 ct->pct_ifl == ifl && ct->pct_ifn == ifn)
704 ct->pct_ifn = ifn;
/freebsd-10.1-release/sbin/natd/
H A Dnatd.c890 SetAliasAddressFromIfName(const char *ifn) argument
935 if (strlen(ifn) == sdl->sdl_nlen &&
936 strncmp(ifn, sdl->sdl_data, sdl->sdl_nlen) == 0) {
944 errx(1, "unknown interface name %s", ifn);
974 warnx("%s: cannot get interface address", ifn);

Completed in 143 milliseconds

12